* {
    margin: 0;
    padding: 0;
    font-family: "Poppins", sans-serif;
    list-style: none;
    text-decoration: none;
    outline: none;
    border: none;
    color: #000;
    font-family: "Gilroy", Arial, sans-serif !important;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

/* For Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* For Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

.container {
    padding-inline: calc(var(--gutter) + env(safe-area-inset-left, 0px));
    padding-inline: calc(var(--gutter) + env(safe-area-inset-right, 0px));
    margin-inline: auto;
    width: 100%;
    position: relative;
    z-index: 2;
    max-width: none;
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

@media (min-width: 1400px) {
    .container {
        max-width: 1340px;
    }
}


/* desktop */
header {
    box-shadow: 0 4px 16px rgba(0, 51, 153, 0.04), 0 2px 2px rgba(0, 51, 153, 0.08);
}

#headerTopContent {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 0;
}

#headerTopContent p {
    text-align: right;
    line-height: 150%;
    font-size: 13px;
    font-style: italic;
    font-weight: 100;
}

#headerTopContent div {
    display: flex;
    gap: 10px;
}

#headerTop a {
    display: flex;
    align-items: center;
    margin-left: 10px;
    font-size: 2.5rem;
    margin-bottom: 0;
    gap: 10px;
    margin-top: -15px;
}

#headerTop img {
    max-height: 80px;
}

header nav {
    display: flex;
    align-items: center;
    flex-wrap:wrap;
    gap: 30px;
}

header nav a {
    padding: 20px 20px;
    transition: all 0.3s ease-in-out;
    color: #fff;
}

#navWrapper {
    background-color: #1537fa;
    margin-top: -15px;
    position: relative;
    z-index: 9;
}

header nav a:hover {
    background: #213ddc;
}

/* form */
#formWrapper {
    padding-block: 50px;
    position: relative;
}

#formTop {
    text-align: center;
}

#formTop h1 {
    font-size: 72px;
    line-height: 76px;
    color: #2b2f33;
}

#formTop p {
    font-size: 32px;
    font-weight: 700;
    line-height: 32px;
    letter-spacing: -0.01em;
    margin-top: 16px;
}

#formBox {
    max-width: 800px;
    margin: auto;
    margin-top: 80px;
}

#formConTop {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#formConTop p {
    font-size: 14px;
    color: #3a3b3d;
    text-wrap-mode: nowrap;
}

#formConTop div {
    display: flex;
    align-items: center;
    gap: 10px;
}

#formConTop div:nth-of-type(3) {
    flex-direction: row-reverse;
}

#stepTwo.active span {
    background-color: rgb(3, 214, 3);
    color: #fff;
}

#formLine {
    position: relative;
    width: 420px;
    height: 0.5px;
    background-color: #0001;
}

#formLine::after {
    content: "";
    width: 50%;
    background-color: rgb(3, 214, 3);
    z-index: 1;
    height: 0.5px;
    transition: all 0.3s ease-in-out;
}

#formLine.stepped::after {
    width: 100%;
}

#formConTop span {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    border: 1px solid #2221;
    border-radius: 50%;
    transition: all 0.3s ease-in-out;
}

#formConTop div:nth-of-type(1) span {
    background-color: rgb(3, 214, 3);
    color: #222;
}

#formInputsBox {
    display: flex;
    flex-direction: column;
}

.formInputs {
    margin-top: 30px;
}

.formInputs input {
    padding: 15px 20px;
    border: 1px solid #2221;
    border-radius: 4px;
    transition: all .2s ease-in-out;
    background: #e3e3e399;
}

.formInputs input.error {
    border-color: red;
}

#formInputsBox .button {
    padding: 10px 30px;
    background-color: rgb(3, 214, 3);
    color: #222;
    margin: 25px auto;
    cursor: pointer;
}

#formInputsTwo {
    display: none;
}

#formInputsTwo input {
    width: 100%;
    margin-bottom: 10px;
}

#formInputsTwo textarea {
    width: 100%;
    resize: none;
    height: 150px;
    border: 1px solid #2221;
    padding: 12px 15px;
    border-radius: 4px;
    background: #e3e3e399;
}

.hidden {
    display: none !important;
}

.show {
    display: block !important;
}

/* news */
#newsWrapper {
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    row-gap: 30px;
}
#news_sec_header {
    display: flex;
    flex-wrap:wrap;
    row-gap: 20px;
    justify-content:space-between;
    margin-bottom: 30px;
}
#news_sec_header a {
    display: flex;
    align-items:center;
    gap:10px;
}
#newsWrapper>a {
    display: flex;
    flex-direction: column;
    gap: 20px;
    padding: 20px;
    border: 1px solid #2223;
    width: 32%;
    border-radius: 4px;
    transition: all 0.3s ease-in-out;
}

#newsWrapper>a:hover {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.articleTagsWrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

#newsWrapper span {
    font-size: 14px;
}

#newsWrapper > a > span {
    color: #5b606d;
}

#newsWrapper > a h2 {
    font-size: 18px;
    color: #323849;
}

#newsWrapper > a > p {
    color: #323849;
    font-size: 16px;
}

.articleTagsWrapper span {
    background-color: #e7f2f9;
    padding: 4px 11px;
    width: fit-content;
    color: #323849;
    border-radius: 4px;
}
#newsWrapper .navigation{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
#newsWrapper .page_next-prev {
    display: flex;
    align-items:center;
    gap: 30px;
}
#newsWrapper .page_next-prev span{
    width: 40px;
    height: 40px;
    border:1px solid #2223;
    border-radius: 50%;
    display: grid;
    place-content: center;
}
#newsWrapper .navigation .pages {
    margin-top: 30px;
    display: flex;
    gap: 10px;
    flex-wrap:wrap;
}
#newsWrapper .navigation .pages span,
#newsWrapper .navigation .pages a {
    display: grid;
    place-content: center;
    width: 40px;
    height: 40px;
    border: 1px solid #2223;
    border-radius: 4px;
}
#newsWrapper .navigation .pages span {
    background: #1537FA;
    color: #fff;
    border-color: #1537FA;
}
.clamp-3 {
    display: -webkit-box; /* köhnə WebKit */
    -webkit-box-orient: vertical; /* köhnə WebKit */
    -webkit-line-clamp: 3; /* köhnə WebKit */
    line-clamp: 3; /* yeni sintaksis (desteği olan brauzerlər) */
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 140%;
}

/* footer */
footer .socials {
    padding: 0 15px;
    margin-top: 100px;
    margin-bottom: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}

footer .socials a {
    margin: 0 25px;
}

footer .footerBottom {
    border-top: 1px solid #ededed;
    padding: 16px 0;
}

footer .footerBottom .menuLinks {
    display: flex;
    margin-bottom: 12px;
}

footer .footerBottom .menuLinks a {
    margin-right: 20px;
    color: #000000de;
    font-size: 14px;
    transition: 0.3s ease-out;
}

footer .footerBottom .menuLinks a:hover {
    color: #000;
}

footer .footerBottom .copy {
    font-size: 12px;
    color: #000000de;
    font-weight: normal;
    margin-bottom: 0;
}

#successForm {
    display: none;
    text-align: center;
    margin-top: 50px;
}

#successForm p, #successForm h2 {
    color: #03d603;
}

#successForm p {
    margin-top: 15px;
}
#bgLayer {
    position: absolute;
    top: 5%;
    left: 50%;
    transform: translateX(-50%);
    width: 30%;
    z-index: -1;
    pointer-events: none;
    opacity: .1;
}
#formInputsOne {
    display: flex;
    flex-wrap:wrap;
    justify-content: space-between;
}
#fullStory {
    margin-top: 40px;
    width: 700px;
    background: #fff;
    margin-inline: auto;
}
#fullContent {
    margin-top: 20px;
    padding: 20px;
    border-radius: 12px;
    background: #f3f3f3cf;
    line-height: 25px;
}
#fullContent h3 {
    margin-bottom: 15px;
}
.selectWrapper {
    width: 100%;
    padding: 15px 20px;
    border: 1px solid #2221;
    border-radius: 4px;
    background: #e3e3e399;
}
.mainSelect {
    margin-bottom: 15px;
}
.relative {
    position: relative;
}
.formInputs label {
    display: block;
}
.formInputs span {
    position:absolute;
    left: 20px;
    top: 15px;
    font-size: 14px;
    pointer-events:none;
    transition: all .3s ease-in-out;
    display: inline-block;
    width: fit-content;
}
.formInputs input:focus + span {
    top: -15px;
    font-size: 12px;
    padding: 5px 20px;
    background: #fff;
}
.formInputs input:not(:placeholder-shown) + span {
    top: -15px;
    font-size: 12px;
    padding: 5px 20px;
    background: #fff;
}
.formInputs textarea:focus + span {
    top: -15px;
    font-size: 12px;
    padding: 5px 20px;
    background: #fff;
}
.formInputs textarea:not(:placeholder-shown) + span {
    top: -15px;
    font-size: 12px;
    padding: 5px 20px;
    background: #fff;
}
#contact {
    padding-block: 50px;
}
#contact h1 {
    margin-bottom: .5rem;
    font-weight: 500;
}
#staticDescription {
    padding: 50px 30px;
    background-color: #eee;
    border-radius: 2px;
}
.row {
    display: flex;
    justify-content: space-between;
    align-items:center;
    flex-wrap:wrap;
}
#contact .row>div a {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    align-items:center;
}
#contactForm {
    display: flex;
    flex-wrap: wrap;
    justify-content:space-between;
    margin-top: 40px;
}
#contactForm input,
#contactForm textarea{
    margin-bottom: 15px;
    border: 1px solid #e9e9e9;
    padding: 17px 20px;
    border-radius: 3px;
}
#contactForm input {
    width: 49%;
}
#contactForm textarea {
    width: 100%;
    height: 250px;
    resize: none;
}
#contactForm button {
    width: 100%;
    padding-block: 16px;
    border-radius: 3px;
    font-size: 14px;
    font-weight: 500;
    background: #1537FA;
    color: #fff;
    cursor: pointer;
}
#responseForm {
    width: 100%;
    text-align: center;
    margin-bottom: 30px;
    font-size: 20px;
    color: green;
}



/*mobile*/
#mobHeaderBtm {
    display: none;
}

@media screen and (max-width: 768px) {
    #navWrapper {
        background: #001fce;
    }
  #headerTop a {
    font-size: 15px;
    flex-direction: column;
  }
  #mobHeaderBtm {
      display: block;
      padding-block: 20px;
  }
  header nav {
      position: fixed;
      left: -110%;
      top: 205px;
      width: 100%;
      height: 100%;
      background: #1537FA;
      flex-direction: column;
      padding-block: 50px;
      align-items: start;
      gap: 0px;
      transition: all .3s ease-in-out;
  }
  header nav a {
      padding: 10px 16px;
      font-size: 18px;
  }
  header nav.active {
      left: 0;
  }
  #headerTopContent div {
      gap: 0px;
  }
  #headerTopContent div img,
  #formConTop{
      display: none;
  }
  #headerTopContent p {
      font-size: 16px;
  }
  #headerTop a {
      margin: 0px;
  }
  #headerTopContent {
      padding-block: 15px;
  }
  #navWrapper {
      margin: 0px;
  }
  #formTop h1 {
          font-size: 32px;
    line-height: 36px;
  }
  #formTop p {
      font-size: 18px;
  }
  #formInputsOne {
      margin: 0px;
      gap: 15px;
  }
  #formInputsOne label,
  #formInputsOne input {
      width: 100%;
  }
  #formBox {
      margin-top: 40px;
  }
  #formInputsBox .button {
      width: 80%;
  }
  #newsWrapper>a {
      width: 100%;
  }
  header {
      position: fixed;
    z-index: 9;
    background: #fff;
  }
  #formWrapper {
      padding-top: 250px;
  }
  footer .socials {
      margin-top: 50px;
  }
  footer .footerBottom .menuLinks a {
      display: block;
    margin-top: 14px;
    font-size: 16px;
  }
  .container {
      padding-inline: 20px;
  }
  footer .footerBottom .copy {
      margin-top: 25px;
  }
  #fullStory {
      width: 100%;
      margin-top: 0px;
      padding-top: 250px;
  }
  #contact {
      padding-top: 250px;
  }
  #contact .row {
      gap: 15px;
  }
  #contact .row>div svg {
      display: none;
  }
  #contactForm input{
      width: 100%;
  }
  #bgLayer {
      display: none;
  }
  #newsWrapper {
      margin: 0px;
  }
  #issuesWrapper {
        width: 90%;
        height: 400px;
        overflow: auto;
  }
}


@media (min-width: 768px) and (max-width: 1400px) {
  header nav a {
      padding: 20px 0px;
  }
}
.acceptService {
    margin-top: 10px;
}
.acceptService span{
    all: initial !important;
}
.acceptService input {
    width: fit-content !important;
}
#readIssues {
    text-decoration: underline;
    margin: 8px 0px 20px;
    cursor: pointer;
}
#issuesWrapper {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    box-shadow: 0px 0px 10px #2221;
    padding: 30px 50px 10px;
    background: #fff;
    z-index: 99999;
}
#issuesWrapper li {
    list-style: decimal;
    line-height: 25px;
    margin-bottom: 20px;
}
#closeIssue {
    position: absolute;
    right: 10px;
    top: 10px;
    cursor: pointer;
}
#issuesWrapper {
    display: none;
}
#issuesWrapper.active {
    display: block;
}
#notWrapper {
    padding-top: 50px;
    height: 50vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}